Page MenuHomePhabricator

Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic fails on PHP 7.1
Closed, ResolvedPublic5 Estimated Story Points

Description

101:07:35 There were 7 failures:
201:07:35
301:07:35 1) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_de-ch" (array('Wien', 'de-ch', array(0, 1)), '/workspace/src/extensions/Wik...pected')
401:07:35 Failed asserting that two strings are equal.
501:07:35 --- Expected
601:07:35 +++ Actual
701:07:35 @@ @@
801:07:35 - "boost": 0.78\n
901:07:35 + "boost": 0.78000000000000003\n
1001:07:35 @@ @@
1101:07:35 - "boost": 0.038\n
1201:07:35 + "boost": 0.038000000000000006\n
1301:07:35 @@ @@
1401:07:35 - "boost": 0.0005\n
1501:07:35 + "boost": 0.00050000000000000001\n
1601:07:35 @@ @@
1701:07:35 - "boost": 0.0038\n
1801:07:35 + "boost": 0.0038000000000000009\n
1901:07:35 @@ @@
2001:07:35 - "boost": 5.0e-5\n
2101:07:35 + "boost": 5.0000000000000009e-5\n
2201:07:35 @@ @@
2301:07:35 - "boost": 0.04\n
2401:07:35 + "boost": 0.040000000000000001\n
2501:07:35 @@ @@
2601:07:35 - "boost": 0.04\n
2701:07:35 + "boost": 0.040000000000000001\n
2801:07:35 }\n
2901:07:35 }\n
3001:07:35 },\n
3101:07:35 {\n
3201:07:35 "dis_max": {\n
3301:07:35 - "tie_breaker": 0.2,\n
3401:07:35 + "tie_breaker": 0.20000000000000001,\n
3501:07:35 "queries": [\n
3601:07:35 {\n
3701:07:35 "match": {\n
3801:07:35 "labels.de-ch.plain": {\n
3901:07:35 "query": "Wien",\n
4001:07:35 - "boost": 0.07\n
4101:07:35 + "boost": 0.070000000000000007\n
4201:07:35 @@ @@
4301:07:35 - "boost": 0.07\n
4401:07:35 + "boost": 0.070000000000000007\n
4501:07:35 @@ @@
4601:07:35 - "boost": 0.003\n
4701:07:35 + "boost": 0.0030000000000000001\n
4801:07:35 @@ @@
4901:07:35 - "boost": 0.003\n
5001:07:35 + "boost": 0.0030000000000000001\n
5101:07:35 @@ @@
5201:07:35 - "boost": 0.0003\n
5301:07:35 + "boost": 0.00030000000000000003\n
5401:07:35 @@ @@
5501:07:35 - "boost": 0.0003\n
5601:07:35 + "boost": 0.00030000000000000003\n
5701:07:35 @@ @@
5801:07:35 - "boost": 0.0003\n
5901:07:35 + "boost": 0.00030000000000000003\n
6001:07:35 @@ @@
6101:07:35 - "weight": 0.6\n
6201:07:35 + "weight": 0.59999999999999998\n
6301:07:35 @@ @@
6401:07:35 - "weight": 0.4\n
6501:07:35 + "weight": 0.40000000000000002\n
6601:07:35
6701:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
6801:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
6901:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
7001:07:35 /workspace/src/maintenance/doMaintenance.php:94
7101:07:35
7201:07:35 2) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_en" (array('Duck', 'en', array(0)), '/workspace/src/extensions/Wik...pected')
7301:07:35 Failed asserting that two strings are equal.
7401:07:35 --- Expected
7501:07:35 +++ Actual
7601:07:35 @@ @@
7701:07:35 - "boost": 0.78\n
7801:07:35 + "boost": 0.78000000000000003\n
7901:07:35 @@ @@
8001:07:35 - "boost": 0.04\n
8101:07:35 + "boost": 0.040000000000000001\n
8201:07:35 @@ @@
8301:07:35 - "boost": 0.04\n
8401:07:35 + "boost": 0.040000000000000001\n
8501:07:35 }\n
8601:07:35 }\n
8701:07:35 },\n
8801:07:35 {\n
8901:07:35 "dis_max": {\n
9001:07:35 - "tie_breaker": 0.2,\n
9101:07:35 + "tie_breaker": 0.20000000000000001,\n
9201:07:35 "queries": [\n
9301:07:35 {\n
9401:07:35 "match": {\n
9501:07:35 "descriptions.en": {\n
9601:07:35 "query": "Duck",\n
9701:07:35 - "boost": 0.07\n
9801:07:35 + "boost": 0.070000000000000007\n
9901:07:35 @@ @@
10001:07:35 - "boost": 0.07\n
10101:07:35 + "boost": 0.070000000000000007\n
10201:07:35 @@ @@
10301:07:35 - "boost": 0.07\n
10401:07:35 + "boost": 0.070000000000000007\n
10501:07:35 @@ @@
10601:07:35 - "weight": 0.6\n
10701:07:35 + "weight": 0.59999999999999998\n
10801:07:35 @@ @@
10901:07:35 - "weight": 0.4\n
11001:07:35 + "weight": 0.40000000000000002\n
11101:07:35
11201:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
11301:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
11401:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
11501:07:35 /workspace/src/maintenance/doMaintenance.php:94
11601:07:35
11701:07:35 3) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_id" (array('q42', 'en', array(0)), '/workspace/src/extensions/Wik...pected')
11801:07:35 Failed asserting that two strings are equal.
11901:07:35 --- Expected
12001:07:35 +++ Actual
12101:07:35 @@ @@
12201:07:35 - "boost": 0.78\n
12301:07:35 + "boost": 0.78000000000000003\n
12401:07:35 @@ @@
12501:07:35 - "boost": 0.04\n
12601:07:35 + "boost": 0.040000000000000001\n
12701:07:35 @@ @@
12801:07:35 - "boost": 0.04\n
12901:07:35 + "boost": 0.040000000000000001\n
13001:07:35 }\n
13101:07:35 }\n
13201:07:35 },\n
13301:07:35 {\n
13401:07:35 "dis_max": {\n
13501:07:35 - "tie_breaker": 0.2,\n
13601:07:35 + "tie_breaker": 0.20000000000000001,\n
13701:07:35 "queries": [\n
13801:07:35 {\n
13901:07:35 "match": {\n
14001:07:35 "descriptions.en": {\n
14101:07:35 "query": "q42",\n
14201:07:35 - "boost": 0.07\n
14301:07:35 + "boost": 0.070000000000000007\n
14401:07:35 @@ @@
14501:07:35 - "boost": 0.07\n
14601:07:35 + "boost": 0.070000000000000007\n
14701:07:35 @@ @@
14801:07:35 - "boost": 0.07\n
14901:07:35 + "boost": 0.070000000000000007\n
15001:07:35 @@ @@
15101:07:35 - "weight": 0.6\n
15201:07:35 + "weight": 0.59999999999999998\n
15301:07:35 @@ @@
15401:07:35 - "weight": 0.4\n
15501:07:35 + "weight": 0.40000000000000002\n
15601:07:35
15701:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
15801:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
15901:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
16001:07:35 /workspace/src/maintenance/doMaintenance.php:94
16101:07:35
16201:07:35 4) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_par" (array('(p128) ', 'en', array(1)), '/workspace/src/extensions/Wik...pected')
16301:07:35 Failed asserting that two strings are equal.
16401:07:35 --- Expected
16501:07:35 +++ Actual
16601:07:35 @@ @@
16701:07:35 - "boost": 0.78\n
16801:07:35 + "boost": 0.78000000000000003\n
16901:07:35 @@ @@
17001:07:35 - "boost": 0.04\n
17101:07:35 + "boost": 0.040000000000000001\n
17201:07:35 @@ @@
17301:07:35 - "boost": 0.04\n
17401:07:35 + "boost": 0.040000000000000001\n
17501:07:35 }\n
17601:07:35 }\n
17701:07:35 },\n
17801:07:35 {\n
17901:07:35 "dis_max": {\n
18001:07:35 - "tie_breaker": 0.2,\n
18101:07:35 + "tie_breaker": 0.20000000000000001,\n
18201:07:35 "queries": [\n
18301:07:35 {\n
18401:07:35 "match": {\n
18501:07:35 "descriptions.en": {\n
18601:07:35 "query": "(p128) ",\n
18701:07:35 - "boost": 0.07\n
18801:07:35 + "boost": 0.070000000000000007\n
18901:07:35 @@ @@
19001:07:35 - "boost": 0.07\n
19101:07:35 + "boost": 0.070000000000000007\n
19201:07:35 @@ @@
19301:07:35 - "boost": 0.07\n
19401:07:35 + "boost": 0.070000000000000007\n
19501:07:35 @@ @@
19601:07:35 - "weight": 0.6\n
19701:07:35 + "weight": 0.59999999999999998\n
19801:07:35 @@ @@
19901:07:35 - "weight": 0.4\n
20001:07:35 + "weight": 0.40000000000000002\n
20101:07:35
20201:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
20301:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
20401:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
20501:07:35 /workspace/src/maintenance/doMaintenance.php:94
20601:07:35
20701:07:35 5) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_prop" (array(' p42', 'en', array(2)), '/workspace/src/extensions/Wik...pected')
20801:07:35 Failed asserting that two strings are equal.
20901:07:35 --- Expected
21001:07:35 +++ Actual
21101:07:35 @@ @@
21201:07:35 - "boost": 0.78\n
21301:07:35 + "boost": 0.78000000000000003\n
21401:07:35 @@ @@
21501:07:35 - "boost": 0.04\n
21601:07:35 + "boost": 0.040000000000000001\n
21701:07:35 @@ @@
21801:07:35 - "boost": 0.04\n
21901:07:35 + "boost": 0.040000000000000001\n
22001:07:35 }\n
22101:07:35 }\n
22201:07:35 },\n
22301:07:35 {\n
22401:07:35 "dis_max": {\n
22501:07:35 - "tie_breaker": 0.2,\n
22601:07:35 + "tie_breaker": 0.20000000000000001,\n
22701:07:35 "queries": [\n
22801:07:35 {\n
22901:07:35 "match": {\n
23001:07:35 "descriptions.en": {\n
23101:07:35 "query": "\tp42",\n
23201:07:35 - "boost": 0.07\n
23301:07:35 + "boost": 0.070000000000000007\n
23401:07:35 @@ @@
23501:07:35 - "boost": 0.07\n
23601:07:35 + "boost": 0.070000000000000007\n
23701:07:35 @@ @@
23801:07:35 - "boost": 0.07\n
23901:07:35 + "boost": 0.070000000000000007\n
24001:07:35 @@ @@
24101:07:35 - "weight": 0.6\n
24201:07:35 + "weight": 0.59999999999999998\n
24301:07:35 @@ @@
24401:07:35 - "weight": 0.4\n
24501:07:35 + "weight": 0.40000000000000002\n
24601:07:35
24701:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
24801:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
24901:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
25001:07:35 /workspace/src/maintenance/doMaintenance.php:94
25101:07:35
25201:07:35 6) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_url" (array('https://www.wikidata.org/wiki/Q56', 'en', array(0)), '/workspace/src/extensions/Wik...pected')
25301:07:35 Failed asserting that two strings are equal.
25401:07:35 --- Expected
25501:07:35 +++ Actual
25601:07:35 @@ @@
25701:07:35 - "boost": 0.78\n
25801:07:35 + "boost": 0.78000000000000003\n
25901:07:35 @@ @@
26001:07:35 - "boost": 0.04\n
26101:07:35 + "boost": 0.040000000000000001\n
26201:07:35 @@ @@
26301:07:35 - "boost": 0.04\n
26401:07:35 + "boost": 0.040000000000000001\n
26501:07:35 }\n
26601:07:35 }\n
26701:07:35 },\n
26801:07:35 {\n
26901:07:35 "dis_max": {\n
27001:07:35 - "tie_breaker": 0.2,\n
27101:07:35 + "tie_breaker": 0.20000000000000001,\n
27201:07:35 "queries": [\n
27301:07:35 {\n
27401:07:35 "match": {\n
27501:07:35 "descriptions.en": {\n
27601:07:35 "query": "https:\/\/www.wikidata.org\/wiki\/Q56",\n
27701:07:35 - "boost": 0.07\n
27801:07:35 + "boost": 0.070000000000000007\n
27901:07:35 @@ @@
28001:07:35 - "boost": 0.07\n
28101:07:35 + "boost": 0.070000000000000007\n
28201:07:35 @@ @@
28301:07:35 - "boost": 0.07\n
28401:07:35 + "boost": 0.070000000000000007\n
28501:07:35 @@ @@
28601:07:35 - "weight": 0.6\n
28701:07:35 + "weight": 0.59999999999999998\n
28801:07:35 @@ @@
28901:07:35 - "weight": 0.4\n
29001:07:35 + "weight": 0.40000000000000002\n
29101:07:35
29201:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
29301:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
29401:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
29501:07:35 /workspace/src/maintenance/doMaintenance.php:94
29601:07:35
29701:07:35 7) Wikibase\Repo\Search\Elastic\Tests\EntitySearchElasticFulltextTest::testSearchElastic with data set "search_zh" (array('父類', 'zh', array(5)), '/workspace/src/extensions/Wik...pected')
29801:07:35 Failed asserting that two strings are equal.
29901:07:35 --- Expected
30001:07:35 +++ Actual
30101:07:35 @@ @@
30201:07:35 - "boost": 0.78\n
30301:07:35 + "boost": 0.78000000000000003\n
30401:07:35 @@ @@
30501:07:35 - "boost": 0.038\n
30601:07:35 + "boost": 0.038000000000000006\n
30701:07:35 @@ @@
30801:07:35 - "boost": 0.0005\n
30901:07:35 + "boost": 0.00050000000000000001\n
31001:07:35 @@ @@
31101:07:35 - "boost": 0.0038\n
31201:07:35 + "boost": 0.0038000000000000009\n
31301:07:35 @@ @@
31401:07:35 - "boost": 5.0e-5\n
31501:07:35 + "boost": 5.0000000000000009e-5\n
31601:07:35 @@ @@
31701:07:35 - "boost": 0.00038\n
31801:07:35 + "boost": 0.00038000000000000008\n
31901:07:35 @@ @@
32001:07:35 - "boost": 5.0e-6\n
32101:07:35 + "boost": 5.0000000000000013e-6\n
32201:07:35 @@ @@
32301:07:35 - "boost": 3.8e-5\n
32401:07:35 + "boost": 3.8000000000000016e-5\n
32501:07:35 @@ @@
32601:07:35 - "boost": 5.0e-7\n
32701:07:35 + "boost": 5.0000000000000019e-7\n
32801:07:35 @@ @@
32901:07:35 - "boost": 3.8e-6\n
33001:07:35 + "boost": 3.8000000000000017e-6\n
33101:07:35 @@ @@
33201:07:35 - "boost": 5.0e-8\n
33301:07:35 + "boost": 5.0000000000000024e-8\n
33401:07:35 @@ @@
33501:07:35 - "boost": 3.8e-7\n
33601:07:35 + "boost": 3.8000000000000017e-7\n
33701:07:35 @@ @@
33801:07:35 - "boost": 5.0e-9\n
33901:07:35 + "boost": 5.0000000000000018e-9\n
34001:07:35 @@ @@
34101:07:35 - "boost": 3.8e-8\n
34201:07:35 + "boost": 3.8000000000000016e-8\n
34301:07:35 @@ @@
34401:07:35 - "boost": 5.0e-10\n
34501:07:35 + "boost": 5.0000000000000024e-10\n
34601:07:35 @@ @@
34701:07:35 - "boost": 3.8e-9\n
34801:07:35 + "boost": 3.8000000000000018e-9\n
34901:07:35 @@ @@
35001:07:35 - "boost": 5.0e-11\n
35101:07:35 + "boost": 5.0000000000000028e-11\n
35201:07:35 @@ @@
35301:07:35 - "boost": 3.8e-10\n
35401:07:35 + "boost": 3.8000000000000019e-10\n
35501:07:35 @@ @@
35601:07:35 - "boost": 5.0e-12\n
35701:07:35 + "boost": 5.0000000000000021e-12\n
35801:07:35 @@ @@
35901:07:35 - "boost": 0.04\n
36001:07:35 + "boost": 0.040000000000000001\n
36101:07:35 @@ @@
36201:07:35 - "boost": 0.04\n
36301:07:35 + "boost": 0.040000000000000001\n
36401:07:35 }\n
36501:07:35 }\n
36601:07:35 },\n
36701:07:35 {\n
36801:07:35 "dis_max": {\n
36901:07:35 - "tie_breaker": 0.2,\n
37001:07:35 + "tie_breaker": 0.20000000000000001,\n
37101:07:35 "queries": [\n
37201:07:35 {\n
37301:07:35 "match": {\n
37401:07:35 "labels.zh.plain": {\n
37501:07:35 "query": "\u7236\u985e",\n
37601:07:35 - "boost": 0.07\n
37701:07:35 + "boost": 0.070000000000000007\n
37801:07:35 @@ @@
37901:07:35 - "boost": 0.07\n
38001:07:35 + "boost": 0.070000000000000007\n
38101:07:35 @@ @@
38201:07:35 - "boost": 0.003\n
38301:07:35 + "boost": 0.0030000000000000001\n
38401:07:35 @@ @@
38501:07:35 - "boost": 0.003\n
38601:07:35 + "boost": 0.0030000000000000001\n
38701:07:35 @@ @@
38801:07:35 - "boost": 0.0003\n
38901:07:35 + "boost": 0.00030000000000000003\n
39001:07:35 @@ @@
39101:07:35 - "boost": 0.0003\n
39201:07:35 + "boost": 0.00030000000000000003\n
39301:07:35 @@ @@
39401:07:35 - "boost": 3.0e-5\n
39501:07:35 + "boost": 3.0000000000000008e-5\n
39601:07:35 @@ @@
39701:07:35 - "boost": 3.0e-5\n
39801:07:35 + "boost": 3.0000000000000008e-5\n
39901:07:35 @@ @@
40001:07:35 - "boost": 3.0e-6\n
40101:07:35 + "boost": 3.0000000000000009e-6\n
40201:07:35 @@ @@
40301:07:35 - "boost": 3.0e-6\n
40401:07:35 + "boost": 3.0000000000000009e-6\n
40501:07:35 @@ @@
40601:07:35 - "boost": 3.0e-7\n
40701:07:35 + "boost": 3.0000000000000009e-7\n
40801:07:35 @@ @@
40901:07:35 - "boost": 3.0e-7\n
41001:07:35 + "boost": 3.0000000000000009e-7\n
41101:07:35 @@ @@
41201:07:35 - "boost": 3.0e-8\n
41301:07:35 + "boost": 3.0000000000000011e-8\n
41401:07:35 @@ @@
41501:07:35 - "boost": 3.0e-8\n
41601:07:35 + "boost": 3.0000000000000011e-8\n
41701:07:35 @@ @@
41801:07:35 - "boost": 3.0e-9\n
41901:07:35 + "boost": 3.0000000000000012e-9\n
42001:07:35 @@ @@
42101:07:35 - "boost": 3.0e-9\n
42201:07:35 + "boost": 3.0000000000000012e-9\n
42301:07:35 @@ @@
42401:07:35 - "boost": 3.0e-10\n
42501:07:35 + "boost": 3.0000000000000015e-10\n
42601:07:35 @@ @@
42701:07:35 - "boost": 3.0e-10\n
42801:07:35 + "boost": 3.0000000000000015e-10\n
42901:07:35 @@ @@
43001:07:35 - "boost": 3.0e-11\n
43101:07:35 + "boost": 3.0000000000000013e-11\n
43201:07:35 @@ @@
43301:07:35 - "boost": 3.0e-11\n
43401:07:35 + "boost": 3.0000000000000013e-11\n
43501:07:35 @@ @@
43601:07:35 - "boost": 3.0e-11\n
43701:07:35 + "boost": 3.0000000000000013e-11\n
43801:07:35 @@ @@
43901:07:35 - "weight": 0.6\n
44001:07:35 + "weight": 0.59999999999999998\n
44101:07:35 @@ @@
44201:07:35 - "weight": 0.4\n
44301:07:35 + "weight": 0.40000000000000002\n
44401:07:35
44501:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:2265
44601:07:35 /workspace/src/extensions/Wikibase/repo/tests/phpunit/includes/Search/Elastic/EntitySearchElasticFulltextTest.php:116
44701:07:35 /workspace/src/tests/phpunit/MediaWikiTestCase.php:409
44801:07:35 /workspace/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/wmf-quibble-core-vendor-mysql-php71-docker/1/consoleFull

Can be verified by commenting "check experimental" in Gerrit to trigger the PHP 7.1 jobs.

Event Timeline

Legoktm created this task.Oct 2 2018, 8:11 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 2 2018, 8:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Discovery-Search. · View Herald TranscriptOct 8 2018, 7:39 AM
Addshore set the point value for this task to 5.
Addshore triaged this task as High priority.Oct 9 2018, 1:43 PM

Change 465474 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Set serialize_precision

https://gerrit.wikimedia.org/r/465474

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 9 2018, 7:07 PM

Change 465474 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Set serialize_precision to fix tests on PHP 7.1+

https://gerrit.wikimedia.org/r/465474

Change 465578 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Reset serialize_precision in try block

https://gerrit.wikimedia.org/r/465578

Legoktm closed this task as Resolved.Oct 10 2018, 5:35 PM

Follow-up work is ongoing, but this is fixed now.

Addshore raised the priority of this task from High to Unbreak Now!.EditedOct 12 2018, 11:24 AM

This is blocking things being merged everywhere

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php71-docker/803/console

as the 7.1 tests are already being run

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptOct 12 2018, 11:24 AM
Addshore removed Ladsgroup as the assignee of this task.Oct 12 2018, 11:24 AM
Addshore added a subscriber: Ladsgroup.
Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 12 2018, 11:29 AM

Looks like serialize_precision=-1 is not working there. See: https://3v4l.org/AomKR

We may try to set precision to "14" or see why exactly -1 is not good there.

Change 465578 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reset serialize_precision in finally block, and set to 2

https://gerrit.wikimedia.org/r/465578

a precision of 2 seemed to work just fine for me locally.
This should now be fixed with the above merged patch?

2 is not enough with the weights arithmetic we're doing. We're lucky it works in this case, but in general it won't be enough.

Change 466945 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Bump precision and use setIniSetting

https://gerrit.wikimedia.org/r/466945

Change 466945 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Bump precision and use setIniSetting

https://gerrit.wikimedia.org/r/466945

Smalyshev closed this task as Resolved.Oct 12 2018, 8:45 PM
Smalyshev moved this task from Backlog to Done on the User-Smalyshev board.

Seems to be ok now.

Change 466982 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Use the same precision as in T205958

https://gerrit.wikimedia.org/r/466982

Change 466982 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use the same precision as in T205958

https://gerrit.wikimedia.org/r/466982